﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter.ExcelExporter;
using Infragistics.Documents.Excel;
using System.Diagnostics;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Controls;
using Infragistics.Windows;

namespace xamDataGridSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MainWindowViewModel();
        }
        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            var drp = Utilities.GetAncestorFromType((sender as CheckBox) as DependencyObject, typeof(DataRecordPresenter), true) as DataRecordPresenter;
            if (null != drp)
            {
                var groupByRec = ((drp.DataRecord as DataRecord) as HeaderRecord).AttachedToRecord.ParentRecord as GroupByRecord;
                if (null != groupByRec)
                {
                    foreach (var rec in groupByRec.ViewableChildRecords)
                    {
                        var dataItem = (rec as DataRecord).DataItem as Product;
                        dataItem.IsSelected = (sender as CheckBox).IsChecked;
                    }
                }
            }
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            var drp = Utilities.GetAncestorFromType((sender as CheckBox) as DependencyObject, typeof(DataRecordPresenter), true) as DataRecordPresenter;
            if (null != drp)
            {
                var groupByRec = ((drp.DataRecord as DataRecord) as HeaderRecord).AttachedToRecord.ParentRecord as GroupByRecord;
                if (null != groupByRec)
                {
                    foreach (var rec in groupByRec.ViewableChildRecords)
                    {
                        var dataItem = (rec as DataRecord).DataItem as Product;
                        dataItem.IsSelected = (sender as CheckBox).IsChecked;
                    }
                }
            }
        }
    }
}
